Skip to content
vocapable.Docs

Verify an external number as caller ID (Twilio calls it)

POST
/v1/workspace/caller-ids
curl --request POST \
--url https://api.vocapable.com/v1/workspace/caller-ids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "phone_e164": "example", "label": "example", "caller_id_access": "everyone", "extension": "example" }'
Media typeapplication/json
WorkspaceCallerIdCreate
object
phone_e164
required
Phone E164
string
/^\+[1-9]\d{7,14}$/
label
required
Label
string
>= 1 characters <= 60 characters
caller_id_access
Caller Id Access
string
default: managers
Allowed values: everyone managers
extension
Any of:
string
/^[0-9#*w]{1,20}$/

Successful Response

Media typeapplication/json
WorkspaceCallerId
object
id
required
Id
string
phone_e164
required
Phone E164
string
label
required
Label
string
state
required
State
string
Allowed values: pending verified failed removed
caller_id_access
required
Caller Id Access
string
Allowed values: everyone managers
validation_code
required
Any of:
string
validation_expires_at
required
Any of:
string format: date-time
failure_reason
required
Any of:
string
outbound_only
required
Outbound Only
boolean
revision
required
Revision
integer
verified_at
required
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
Example
{
"state": "pending",
"caller_id_access": "everyone"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}